summaryrefslogtreecommitdiff
path: root/tests/cp
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
committerJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
commit112efa81f24ead69a3a9b6ae76f601911535352c (patch)
treedc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/cp
parent11f05299f96e39d58356f83d09811487235c5f4c (diff)
downloadcoreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with improper exit status when exiting via e.g., a trapped interrupt. Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/cp')
-rwxr-xr-xtests/cp/backup-14
-rwxr-xr-xtests/cp/backup-is-src4
-rwxr-xr-xtests/cp/cp-HL2
-rwxr-xr-xtests/cp/cp-mv-backup4
-rwxr-xr-xtests/cp/cp-parents2
-rwxr-xr-xtests/cp/deref-slink4
-rwxr-xr-xtests/cp/dir-rm-dest2
-rwxr-xr-xtests/cp/dir-slash2
-rwxr-xr-xtests/cp/dir-vs-file4
-rwxr-xr-xtests/cp/fail-perm2
-rwxr-xr-xtests/cp/into-self4
-rwxr-xr-xtests/cp/link2
-rwxr-xr-xtests/cp/link-preserve4
-rwxr-xr-xtests/cp/no-deref-link14
-rwxr-xr-xtests/cp/no-deref-link24
-rwxr-xr-xtests/cp/no-deref-link34
-rwxr-xr-xtests/cp/perm2
-rwxr-xr-xtests/cp/r-vs-symlink4
-rwxr-xr-xtests/cp/same-file2
-rwxr-xr-xtests/cp/slink-2-slink2
-rwxr-xr-xtests/cp/special-bits2
-rwxr-xr-xtests/cp/symlink-slash2
22 files changed, 33 insertions, 33 deletions
diff --git a/tests/cp/backup-1 b/tests/cp/backup-1
index 29e36e58c..b17e61af8 100755
--- a/tests/cp/backup-1
+++ b/tests/cp/backup-1
@@ -16,7 +16,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
suffix=.b
@@ -37,4 +37,4 @@ test -f $file || fail=1
test -f $file_backup || fail=1
cmp $file $file_backup > /dev/null || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/backup-is-src b/tests/cp/backup-is-src
index 4f25e81b1..7d4c47d64 100755
--- a/tests/cp/backup-is-src
+++ b/tests/cp/backup-is-src
@@ -22,7 +22,7 @@ echo a-tilde > a~ || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
# This cp command should exit nonzero.
@@ -36,4 +36,4 @@ EOF
cmp out2 exp || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/cp-HL b/tests/cp/cp-HL
index 239ecebcb..afe236936 100755
--- a/tests/cp/cp-HL
+++ b/tests/cp/cp-HL
@@ -41,4 +41,4 @@ cat dest-dir/src-dir/slink > /dev/null 2>&1 && fail=1
# FIXME: test -L, too.
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/cp-mv-backup b/tests/cp/cp-mv-backup
index f8186df46..d90b87cc9 100755
--- a/tests/cp/cp-mv-backup
+++ b/tests/cp/cp-mv-backup
@@ -28,7 +28,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
actual=actual
@@ -97,4 +97,4 @@ cmp $expected $actual || fail=1
# Uncomment this if you see a failure and want to try to diagnose it.
test $fail = 1 && diff -c $expected $actual 1>&2
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/cp-parents b/tests/cp/cp-parents
index 7c693cf16..8f5182213 100755
--- a/tests/cp/cp-parents
+++ b/tests/cp/cp-parents
@@ -54,4 +54,4 @@ p=`ls -ld e/d|sed 's/ .*//'`; case $p in drwxr-xr-x);; *) fail=1;; esac
p=`ls -ld e/d/a|sed 's/ .*//'`; case $p in drwx-w--w-);; *) fail=1;; esac
p=`ls -ld e/d/a/b/c|sed 's/ .*//'`; case $p in drwxr-xr-x);; *) fail=1;; esac
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/deref-slink b/tests/cp/deref-slink
index 99181e5b9..641406fa4 100755
--- a/tests/cp/deref-slink
+++ b/tests/cp/deref-slink
@@ -23,10 +23,10 @@ ln -s slink-target slink || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
cp -d f slink || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/dir-rm-dest b/tests/cp/dir-rm-dest
index b602f2f17..c6c8229e5 100755
--- a/tests/cp/dir-rm-dest
+++ b/tests/cp/dir-rm-dest
@@ -29,4 +29,4 @@ cp -R --remove-destination d e || fail=1
# ...and again, with an existing destination.
cp -R --remove-destination d e || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/dir-slash b/tests/cp/dir-slash
index bdaa12042..2fc10b230 100755
--- a/tests/cp/dir-slash
+++ b/tests/cp/dir-slash
@@ -34,4 +34,4 @@ test -r dir2/file && fail=1
test -r dir2/dir1/file || fail=1
test -r dir1/file || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/dir-vs-file b/tests/cp/dir-vs-file
index 9ac6bd0d6..b024c213a 100755
--- a/tests/cp/dir-vs-file
+++ b/tests/cp/dir-vs-file
@@ -22,7 +22,7 @@ touch file || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -34,4 +34,4 @@ cp -R dir file 2>/dev/null && fail=1
# In 4.0.35, it was.
test -f file || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/fail-perm b/tests/cp/fail-perm
index 9ba355a19..c2b18801b 100755
--- a/tests/cp/fail-perm
+++ b/tests/cp/fail-perm
@@ -38,4 +38,4 @@ shift
test "$1" = dr-x------ || fail=1
chmod 700 D
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/into-self b/tests/cp/into-self
index 0ca8bb92a..9a6a52851 100755
--- a/tests/cp/into-self
+++ b/tests/cp/into-self
@@ -26,7 +26,7 @@ mkdir dir || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -42,4 +42,4 @@ EOF
cmp out exp || fail=1
test $fail = 1 && diff out exp 2> /dev/null
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/link b/tests/cp/link
index be8d2acea..84902ba06 100755
--- a/tests/cp/link
+++ b/tests/cp/link
@@ -30,4 +30,4 @@ fail=0
cp -f --link src dest || fail=1
cp -f --symbolic-link src dest2 || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/link-preserve b/tests/cp/link-preserve
index bb1dda6d6..6db88249c 100755
--- a/tests/cp/link-preserve
+++ b/tests/cp/link-preserve
@@ -27,7 +27,7 @@ test -f c/b || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -86,4 +86,4 @@ test "$mode" = "-rwx------" || fail=1
umask 022
# --------------------------------------
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/no-deref-link1 b/tests/cp/no-deref-link1
index 780ad20b7..a7df22c26 100755
--- a/tests/cp/no-deref-link1
+++ b/tests/cp/no-deref-link1
@@ -18,7 +18,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
mkdir a b
@@ -39,4 +39,4 @@ test $? = 1 || fail=1
test "`cat a/foo`" = $msg || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/no-deref-link2 b/tests/cp/no-deref-link2
index 21f2867ba..ff0d0692a 100755
--- a/tests/cp/no-deref-link2
+++ b/tests/cp/no-deref-link2
@@ -18,7 +18,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
mkdir b
@@ -39,4 +39,4 @@ test $? = 1 || fail=1
test "`cat a`" = $msg || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/no-deref-link3 b/tests/cp/no-deref-link3
index c71691726..d60d9630b 100755
--- a/tests/cp/no-deref-link3
+++ b/tests/cp/no-deref-link3
@@ -18,7 +18,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
msg=bar
@@ -36,4 +36,4 @@ test $? = 1 || fail=1
test "`cat a`" = $msg || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/perm b/tests/cp/perm
index cb295c17e..e39b8d6b0 100755
--- a/tests/cp/perm
+++ b/tests/cp/perm
@@ -78,4 +78,4 @@ for u in 31 37 2; do
done
done
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/r-vs-symlink b/tests/cp/r-vs-symlink
index 22ea7caf6..da50602ad 100755
--- a/tests/cp/r-vs-symlink
+++ b/tests/cp/r-vs-symlink
@@ -25,7 +25,7 @@ ln -s no-such-file no-file || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -40,4 +40,4 @@ case $mode in
*) fail=1;;
esac
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/same-file b/tests/cp/same-file
index de5cf61ca..47db0cd15 100755
--- a/tests/cp/same-file
+++ b/tests/cp/same-file
@@ -191,4 +191,4 @@ fail=0;
cmp $expected $actual \
|| { diff -c $expected $actual 1>&2; fail=1; }
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/slink-2-slink b/tests/cp/slink-2-slink
index 837edd512..3e540fe6b 100755
--- a/tests/cp/slink-2-slink
+++ b/tests/cp/slink-2-slink
@@ -36,4 +36,4 @@ fail=0
cp --update --no-dereference a b || fail=1
cp --update --no-dereference c d || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/special-bits b/tests/cp/special-bits
index 5b31fda0d..007ce938c 100755
--- a/tests/cp/special-bits
+++ b/tests/cp/special-bits
@@ -42,4 +42,4 @@ set _ `ls -l b`; shift; p1=$1
set _ `ls -l b2`; shift; p2=$1
test $p1 = $p2 || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/cp/symlink-slash b/tests/cp/symlink-slash
index 827888c68..3ef527d49 100755
--- a/tests/cp/symlink-slash
+++ b/tests/cp/symlink-slash
@@ -37,4 +37,4 @@ set `ls -l s`
# call and so cp ends up dereferencing the symlink and copying the directory.
test "$*" = 'total 0' && : || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail